#include<bits/stdc++.h>
using namespace std;
int n;
double suma,trSuma,zbir;
int a[20000];
double p[20000];
int f(double p[], int l, int r)
{
    int n=p[r];
    int j=l-1;
    for(int i=l;i<r;i++)
    {
        if(p[i]<=n)
        {
            j++;
            swap(p[i],p[j]);
            swap(a[i],a[j]);
        }
    }
    swap(p[j+1],p[r]);
    swap(a[j+1],a[r]);
    return j+1;
}
void quicksort(double p[], int l, int r)
{
    if(l<r)
    {
        int n=f(p,l,r);
        quicksort(p,l,n-1);
        quicksort(p,n+1,r);
    }
}
int main()
{
    cin>>n;
    for(int i=0;i<n;i++)
        cin>>a[i]>>p[i];
    quicksort(p,0,n-1);
    for(int i=0;i<n;i++)
        zbir+=a[i];
    for(int i=0;i<n;i++)
    {
        if(i==0) trSuma=p[i]/100*zbir;
        else {
                trSuma=p[i]/100*(zbir-a[i-1]); zbir-=a[i-1];
        }
        if(trSuma>suma)
        {
            suma=trSuma;
            trSuma=0;
        }
    }
        cout<<fixed<<setprecision(4)<<suma;
        return 0;

    /*4
100001 83.2
40001 20
90001 77.32
300001 1.88*/
}